diff --git a/data/pam/lightdm b/data/pam/lightdm
index fed8a9b..ee8f1aa 100644
--- a/data/pam/lightdm
+++ b/data/pam/lightdm
@@ -1,20 +1,5 @@
 #%PAM-1.0
-
-# Block login if they are globally disabled
-auth      required pam_nologin.so
-
-# Load environment from /etc/environment and ~/.pam_environment
-auth      required pam_env.so
-
-# Use /etc/passwd and /etc/shadow for passwords
-auth      required pam_unix.so
-
-# Check account is active, change password if required
-account   required pam_unix.so
-
-# Allow password to be changed
-password  required pam_unix.so
-
-# Setup session
-session   required pam_unix.so
-session   optional pam_systemd.so
+auth        include     base-auth
+account     include     base-account
+password    include     base-password
+session     include     base-session
diff --git a/data/pam/lightdm-autologin b/data/pam/lightdm-autologin
index 157f469..1f60925 100644
--- a/data/pam/lightdm-autologin
+++ b/data/pam/lightdm-autologin
@@ -1,22 +1,7 @@
 #%PAM-1.0
-# Block login if shell in nologin or false
-auth      required pam_succeed_if.so shell notin /sbin/nologin:/usr/sbin/nologin:/bin/false:/usr/bin/false
-
-# Block login if they are globally disabled
-auth      required pam_nologin.so
-
-# Load environment from /etc/environment and ~/.pam_environment
-auth      required pam_env.so
-
-# Allow access without authentication
-auth      required pam_permit.so
-
-# Stop autologin if account requires action
-account   required pam_unix.so
+auth      required  pam_rootok.so
+account   include   base-account
+session   include   base-session
 
 # Can't change password
 password  required pam_deny.so
-
-# Setup session
-session   required pam_unix.so
-session   optional pam_systemd.so
diff --git a/data/pam/lightdm-greeter b/data/pam/lightdm-greeter
index 9a6862b..9678981 100644
--- a/data/pam/lightdm-greeter
+++ b/data/pam/lightdm-greeter
@@ -4,14 +4,12 @@
 auth      required pam_env.so
 
 # Always let the greeter start without authentication
-auth      required pam_permit.so
+auth      required pam_rootok.so
 
 # No action required for account management
-account   required pam_permit.so
+account   required pam_rootok.so
 
 # Can't change password
 password  required pam_deny.so
 
 # Setup session
-session   required pam_unix.so
-session   optional pam_systemd.so
